Subject: RE: B20: Strange STATUS_ACCESS_VIOLATION Exception
From: "Lincoln, W. Terry" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Cygwin Mailing List'" <[email-masked]>
Date: Wed, 26 May 1999 18:23:48 -0400

[email-masked] wrote:
> 
> This is the information about the bug
> 
> System used:
> Cygwin beta 20.1
> Windows 98
> Intel Celeron 266
> 
> Attached is the source code, core dump, cygcheck -s -v -r 
> output and the
> Makefile. (My appologies for attaching file in mailing list, 
> this is the
> first time I report a bug and I am not sure if this is appropriate).
> 
> To reproduce the error, do:
> 
> BASH.EXE-2.20$ make
> BASH.EXE-2.20$ ./a.exe <-- This is the good version
> BASH.EXE-2.20$ make test
> BASH.EXE-2.20$ ./a.exe <-- This has a STATUS_ACCESS_VIOLATION
> 
> The only different in the two programs is in the following two source
> files:
> 
> 1) ass5.cpp
> 2) test.cpp
> 
> Special thanks for Cygwin group at Cygnus Solutions for making Cygwin
> available.

FWIW:
You might try adding the following:

To array.h:

template<class G> ARRAY<G>::ARRAY( int min, int max)
{
	items = 0;  // <-- Should have this (or NULL)
	make( min, max);
}

To dbtable.h:

void add(const int idx, const T new_item) // <-- "void" return type
{
	ROW<T> *r;
	r = new ROW<T>( idx, new_item);
	table->grow( table->upper + 1);
	table->put( r, table->upper);
}

See if it works better.  Other than that I can't see any problems except for
missing destructors.

Be Well.

W. Terry Lincoln - Senior Engineer         \     \   _   /
Ultimate Technology Corporation             \     \ |J| /
a Tridex Company (NASDAQ:trdx)               \     _|E|_
ICQ <http://wwp.icq.com/39362285>             \   |_ S _|
    <mailto:[email-masked]>        \    |U|
<http://www.AngelFire.com/ny/TerryLincoln>      \ / |S| \
<http://www.geocities.com/Eureka/Concourse/7326> \  | |
================================================== ~~~~~
Opinions expressed do not represent the management of UTC.

--
Want to unsubscribe from this list?
Send a message to [email-masked]